
// VTC1010_IO_UtilityDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CVTC1010_IO_UtilityDlg dialog
class CVTC1010_IO_UtilityDlg : public CDialog
{
// Construction
public:
	CVTC1010_IO_UtilityDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_VTC1010_IO_UTILITY_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButton1();
	afx_msg void OnDestroy();
	CEdit m_CEdit_Ignition;
	afx_msg void OnBnClickedButton2();
	CEdit m_CEdit_Battery;
	CEdit m_CEdit_InputVoltage;
	CComboBox m_CComboBox_InputVoltage;
	afx_msg void OnBnClickedButton3();
	CButton m_CButton_InputVoltage;
	CComboBox m_CComboBox_GPO_1;
	CComboBox m_CComboBox_GPO_2;
	CComboBox m_CComboBox_GPO_3;
	CComboBox m_CComboBox_GPO_4;
	CComboBox m_CComboBox_GPO_5;
	CComboBox m_CComboBox_GPO_6;
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton7();
	afx_msg void OnBnClickedButton8();
	afx_msg void OnBnClickedButton9();
	CEdit m_CEdit_GPO_1;
	CEdit m_CEdit_GPO_2;
	CEdit m_CEdit_GPO_3;
	CEdit m_CEdit_GPO_4;
	CEdit m_CEdit_GPO_5;
	CEdit m_CEdit_GPO_6;
	afx_msg void OnBnClickedButton10();
	afx_msg void OnBnClickedButton11();
	afx_msg void OnBnClickedButton12();
	afx_msg void OnBnClickedButton13();
	afx_msg void OnBnClickedButton14();
	afx_msg void OnBnClickedButton15();
	CComboBox m_CComboBox_GPIO_Select_1;
	CComboBox m_CComboBox_GPIO_Select_2;
	CComboBox m_CComboBox_GPIO_Select_3;
	CComboBox m_CComboBox_GPIO_Select_4;
	CComboBox m_CComboBox_GPIO_Select_5;
	CComboBox m_CComboBox_GPIO_Select_6;
	afx_msg void OnBnClickedButton16();
	afx_msg void OnBnClickedButton17();
	afx_msg void OnBnClickedButton18();
	afx_msg void OnBnClickedButton19();
	afx_msg void OnBnClickedButton20();
	afx_msg void OnBnClickedButton21();
	afx_msg void OnBnClickedButton22();
	afx_msg void OnBnClickedButton23();
	afx_msg void OnBnClickedButton24();
	afx_msg void OnBnClickedButton25();
	afx_msg void OnBnClickedButton26();
	CEdit m_CEdit_MCU_GPO_Status_1;
	CEdit m_CEdit_MCU_GPO_Status_2;
	CEdit m_CEdit_MCU_GPI_Status_1;
	CEdit m_CEdit_MCU_GPI_Status_2;
	CEdit m_CEdit_MCU_PANIC_Status;
	CComboBox m_CComboBox_GPIO_LED;
	CComboBox m_CComboBox_WDT;
	CComboBox m_CComboBox_WDT_Time;
	afx_msg void OnBnClickedButton28();
	afx_msg void OnBnClickedButton29();
	CComboBox m_CComboBox_EXTERNAL_12V;
	afx_msg void OnBnClickedButton30();
	CComboBox m_CComboBox_Power_On_Delay;
	CComboBox m_CComboBox_Power_On_Delay_Time;
	afx_msg void OnBnClickedButton31();
	CComboBox m_CComboBox_Power_Off_Delay;
	CComboBox m_CComboBox_Power_Off_Delay_Time;
	afx_msg void OnBnClickedButton32();
	CComboBox m_CComboBox_Wireless_WAN;
	CComboBox m_CComboBox_SIM_CARD;
	afx_msg void OnBnClickedButton33();
	CComboBox m_CComboBox_WLAN;
	afx_msg void OnBnClickedButton34();
	CComboBox m_CComboBox_WLAN_DIS2_L;
	afx_msg void OnBnClickedButton35();
	CComboBox m_CComboBox_WLAN_DIS3_L;
	CComboBox m_CComboBox_USB2_Con;
	CComboBox m_CComboBox_USB3_Con;
	CComboBox m_CComboBox_GPS_POWER;
	afx_msg void OnBnClickedButton36();
	afx_msg void OnBnClickedButton37();
	afx_msg void OnBnClickedButton38();
	afx_msg void OnBnClickedButton39();
	CComboBox m_CComboBox_Wireless_WAN_Wake_up;
	afx_msg void OnBnClickedButton40();
	CComboBox m_CComboBox_RTC_Wake_up;
	afx_msg void OnBnClickedButton41();
	CComboBox m_CComboBox_SerialPort_Select;
	afx_msg void OnBnClickedButton42();
	CComboBox m_CComboBox_Reset_CAN_Module;
	afx_msg void OnBnClickedButton43();
	CComboBox m_CComboBox_CAN_Module_Power_Reset;
	afx_msg void OnBnClickedButton44();
	afx_msg void OnBnClickedButton45();
	CComboBox m_CComboBox_Minicard_CAN_Module_PWR_EN;
	afx_msg void OnBnClickedButton27();
	CComboBox m_CComboBox_MCU_GPO_Status_1;
	CComboBox m_CComboBox_MCU_GPO_Status_2;
	afx_msg void OnBnClickedButton47();
	afx_msg void OnBnClickedButton48();
	CEdit m_CEdit_CAN_Data_link_detect;
	afx_msg void OnBnClickedButton46();
	afx_msg void OnBnClickedButton49();
};