
// VTC1010_IO_UtilityDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VTC1010_IO_Utility.h"
#include "VTC1010_IO_UtilityDlg.h"
#include "VTC1010_IO.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// CVTC1010_IO_UtilityDlg dialog




CVTC1010_IO_UtilityDlg::CVTC1010_IO_UtilityDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CVTC1010_IO_UtilityDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CVTC1010_IO_UtilityDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT1, m_CEdit_Ignition);
	DDX_Control(pDX, IDC_EDIT2, m_CEdit_Battery);
	DDX_Control(pDX, IDC_EDIT3, m_CEdit_InputVoltage);
	DDX_Control(pDX, IDC_COMBO1, m_CComboBox_InputVoltage);
	DDX_Control(pDX, IDC_BUTTON3, m_CButton_InputVoltage);
	DDX_Control(pDX, IDC_COMBO2, m_CComboBox_GPO_1);
	DDX_Control(pDX, IDC_COMBO3, m_CComboBox_GPO_2);
	DDX_Control(pDX, IDC_COMBO4, m_CComboBox_GPO_3);
	DDX_Control(pDX, IDC_COMBO5, m_CComboBox_GPO_4);
	DDX_Control(pDX, IDC_COMBO6, m_CComboBox_GPO_5);
	DDX_Control(pDX, IDC_COMBO7, m_CComboBox_GPO_6);
	DDX_Control(pDX, IDC_EDIT4, m_CEdit_GPO_1);
	DDX_Control(pDX, IDC_EDIT5, m_CEdit_GPO_2);
	DDX_Control(pDX, IDC_EDIT6, m_CEdit_GPO_3);
	DDX_Control(pDX, IDC_EDIT7, m_CEdit_GPO_4);
	DDX_Control(pDX, IDC_EDIT8, m_CEdit_GPO_5);
	DDX_Control(pDX, IDC_EDIT9, m_CEdit_GPO_6);
	DDX_Control(pDX, IDC_COMBO8, m_CComboBox_GPIO_Select_1);
	DDX_Control(pDX, IDC_COMBO9, m_CComboBox_GPIO_Select_2);
	DDX_Control(pDX, IDC_COMBO10, m_CComboBox_GPIO_Select_3);
	DDX_Control(pDX, IDC_COMBO11, m_CComboBox_GPIO_Select_4);
	DDX_Control(pDX, IDC_COMBO12, m_CComboBox_GPIO_Select_5);
	DDX_Control(pDX, IDC_COMBO13, m_CComboBox_GPIO_Select_6);
	DDX_Control(pDX, IDC_EDIT10, m_CEdit_MCU_GPO_Status_1);
	DDX_Control(pDX, IDC_EDIT11, m_CEdit_MCU_GPO_Status_2);
	DDX_Control(pDX, IDC_EDIT12, m_CEdit_MCU_GPI_Status_1);
	DDX_Control(pDX, IDC_EDIT13, m_CEdit_MCU_GPI_Status_2);
	DDX_Control(pDX, IDC_EDIT14, m_CEdit_MCU_PANIC_Status);
	DDX_Control(pDX, IDC_COMBO14, m_CComboBox_GPIO_LED);
	DDX_Control(pDX, IDC_COMBO15, m_CComboBox_WDT);
	DDX_Control(pDX, IDC_COMBO16, m_CComboBox_WDT_Time);
	DDX_Control(pDX, IDC_COMBO17, m_CComboBox_EXTERNAL_12V);
	DDX_Control(pDX, IDC_COMBO18, m_CComboBox_Power_On_Delay);
	DDX_Control(pDX, IDC_COMBO19, m_CComboBox_Power_On_Delay_Time);
	DDX_Control(pDX, IDC_COMBO20, m_CComboBox_Power_Off_Delay);
	DDX_Control(pDX, IDC_COMBO21, m_CComboBox_Power_Off_Delay_Time);
	DDX_Control(pDX, IDC_COMBO22, m_CComboBox_Wireless_WAN);
	DDX_Control(pDX, IDC_COMBO23, m_CComboBox_SIM_CARD);
	DDX_Control(pDX, IDC_COMBO24, m_CComboBox_WLAN);
	DDX_Control(pDX, IDC_COMBO25, m_CComboBox_WLAN_DIS2_L);
	DDX_Control(pDX, IDC_COMBO26, m_CComboBox_WLAN_DIS3_L);
	DDX_Control(pDX, IDC_COMBO27, m_CComboBox_USB2_Con);
	DDX_Control(pDX, IDC_COMBO28, m_CComboBox_USB3_Con);
	DDX_Control(pDX, IDC_COMBO29, m_CComboBox_GPS_POWER);
	DDX_Control(pDX, IDC_COMBO30, m_CComboBox_Wireless_WAN_Wake_up);
	DDX_Control(pDX, IDC_COMBO31, m_CComboBox_RTC_Wake_up);
	DDX_Control(pDX, IDC_COMBO32, m_CComboBox_SerialPort_Select);
	DDX_Control(pDX, IDC_COMBO33, m_CComboBox_Reset_CAN_Module);
	DDX_Control(pDX, IDC_COMBO34, m_CComboBox_CAN_Module_Power_Reset);
	DDX_Control(pDX, IDC_COMBO36, m_CComboBox_Minicard_CAN_Module_PWR_EN);
	DDX_Control(pDX, IDC_COMBO37, m_CComboBox_MCU_GPO_Status_1);
	DDX_Control(pDX, IDC_COMBO38, m_CComboBox_MCU_GPO_Status_2);
	DDX_Control(pDX, IDC_EDIT15, m_CEdit_CAN_Data_link_detect);
}

BEGIN_MESSAGE_MAP(CVTC1010_IO_UtilityDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_BUTTON1, &CVTC1010_IO_UtilityDlg::OnBnClickedButton1)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BUTTON2, &CVTC1010_IO_UtilityDlg::OnBnClickedButton2)
	ON_BN_CLICKED(IDC_BUTTON3, &CVTC1010_IO_UtilityDlg::OnBnClickedButton3)
	ON_BN_CLICKED(IDC_BUTTON4, &CVTC1010_IO_UtilityDlg::OnBnClickedButton4)
	ON_BN_CLICKED(IDC_BUTTON5, &CVTC1010_IO_UtilityDlg::OnBnClickedButton5)
	ON_BN_CLICKED(IDC_BUTTON6, &CVTC1010_IO_UtilityDlg::OnBnClickedButton6)
	ON_BN_CLICKED(IDC_BUTTON7, &CVTC1010_IO_UtilityDlg::OnBnClickedButton7)
	ON_BN_CLICKED(IDC_BUTTON8, &CVTC1010_IO_UtilityDlg::OnBnClickedButton8)
	ON_BN_CLICKED(IDC_BUTTON9, &CVTC1010_IO_UtilityDlg::OnBnClickedButton9)
	ON_BN_CLICKED(IDC_BUTTON10, &CVTC1010_IO_UtilityDlg::OnBnClickedButton10)
	ON_BN_CLICKED(IDC_BUTTON11, &CVTC1010_IO_UtilityDlg::OnBnClickedButton11)
	ON_BN_CLICKED(IDC_BUTTON12, &CVTC1010_IO_UtilityDlg::OnBnClickedButton12)
	ON_BN_CLICKED(IDC_BUTTON13, &CVTC1010_IO_UtilityDlg::OnBnClickedButton13)
	ON_BN_CLICKED(IDC_BUTTON14, &CVTC1010_IO_UtilityDlg::OnBnClickedButton14)
	ON_BN_CLICKED(IDC_BUTTON15, &CVTC1010_IO_UtilityDlg::OnBnClickedButton15)
	ON_BN_CLICKED(IDC_BUTTON16, &CVTC1010_IO_UtilityDlg::OnBnClickedButton16)
	ON_BN_CLICKED(IDC_BUTTON17, &CVTC1010_IO_UtilityDlg::OnBnClickedButton17)
	ON_BN_CLICKED(IDC_BUTTON18, &CVTC1010_IO_UtilityDlg::OnBnClickedButton18)
	ON_BN_CLICKED(IDC_BUTTON19, &CVTC1010_IO_UtilityDlg::OnBnClickedButton19)
	ON_BN_CLICKED(IDC_BUTTON20, &CVTC1010_IO_UtilityDlg::OnBnClickedButton20)
	ON_BN_CLICKED(IDC_BUTTON21, &CVTC1010_IO_UtilityDlg::OnBnClickedButton21)
	ON_BN_CLICKED(IDC_BUTTON22, &CVTC1010_IO_UtilityDlg::OnBnClickedButton22)
	ON_BN_CLICKED(IDC_BUTTON23, &CVTC1010_IO_UtilityDlg::OnBnClickedButton23)
	ON_BN_CLICKED(IDC_BUTTON24, &CVTC1010_IO_UtilityDlg::OnBnClickedButton24)
	ON_BN_CLICKED(IDC_BUTTON25, &CVTC1010_IO_UtilityDlg::OnBnClickedButton25)
	ON_BN_CLICKED(IDC_BUTTON26, &CVTC1010_IO_UtilityDlg::OnBnClickedButton26)
	ON_BN_CLICKED(IDC_BUTTON28, &CVTC1010_IO_UtilityDlg::OnBnClickedButton28)
	ON_BN_CLICKED(IDC_BUTTON29, &CVTC1010_IO_UtilityDlg::OnBnClickedButton29)
	ON_BN_CLICKED(IDC_BUTTON30, &CVTC1010_IO_UtilityDlg::OnBnClickedButton30)
	ON_BN_CLICKED(IDC_BUTTON31, &CVTC1010_IO_UtilityDlg::OnBnClickedButton31)
	ON_BN_CLICKED(IDC_BUTTON32, &CVTC1010_IO_UtilityDlg::OnBnClickedButton32)
	ON_BN_CLICKED(IDC_BUTTON33, &CVTC1010_IO_UtilityDlg::OnBnClickedButton33)
	ON_BN_CLICKED(IDC_BUTTON34, &CVTC1010_IO_UtilityDlg::OnBnClickedButton34)
	ON_BN_CLICKED(IDC_BUTTON35, &CVTC1010_IO_UtilityDlg::OnBnClickedButton35)
	ON_BN_CLICKED(IDC_BUTTON36, &CVTC1010_IO_UtilityDlg::OnBnClickedButton36)
	ON_BN_CLICKED(IDC_BUTTON37, &CVTC1010_IO_UtilityDlg::OnBnClickedButton37)
	ON_BN_CLICKED(IDC_BUTTON38, &CVTC1010_IO_UtilityDlg::OnBnClickedButton38)
	ON_BN_CLICKED(IDC_BUTTON39, &CVTC1010_IO_UtilityDlg::OnBnClickedButton39)
	ON_BN_CLICKED(IDC_BUTTON40, &CVTC1010_IO_UtilityDlg::OnBnClickedButton40)
	ON_BN_CLICKED(IDC_BUTTON41, &CVTC1010_IO_UtilityDlg::OnBnClickedButton41)
	ON_BN_CLICKED(IDC_BUTTON42, &CVTC1010_IO_UtilityDlg::OnBnClickedButton42)
	ON_BN_CLICKED(IDC_BUTTON43, &CVTC1010_IO_UtilityDlg::OnBnClickedButton43)
	ON_BN_CLICKED(IDC_BUTTON44, &CVTC1010_IO_UtilityDlg::OnBnClickedButton44)
	ON_BN_CLICKED(IDC_BUTTON45, &CVTC1010_IO_UtilityDlg::OnBnClickedButton45)
	ON_BN_CLICKED(IDC_BUTTON27, &CVTC1010_IO_UtilityDlg::OnBnClickedButton27)
	ON_BN_CLICKED(IDC_BUTTON47, &CVTC1010_IO_UtilityDlg::OnBnClickedButton47)
	ON_BN_CLICKED(IDC_BUTTON48, &CVTC1010_IO_UtilityDlg::OnBnClickedButton48)
	ON_BN_CLICKED(IDC_BUTTON46, &CVTC1010_IO_UtilityDlg::OnBnClickedButton46)
	ON_BN_CLICKED(IDC_BUTTON49, &CVTC1010_IO_UtilityDlg::OnBnClickedButton49)
END_MESSAGE_MAP()


// CVTC1010_IO_UtilityDlg message handlers

BOOL CVTC1010_IO_UtilityDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		BOOL bNameValid;
		CString strAboutMenu;
		bNameValid = strAboutMenu.LoadString(IDS_ABOUTBOX);
		ASSERT(bNameValid);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here

	if( 0 == Library_Initial() ) 
		MessageBox("Initial Library failed!!!");

	int nVol = Voltage_Get();
	switch (nVol)
	{
	case 0:
		m_CEdit_InputVoltage.SetWindowText("9V~36V");
		m_CComboBox_InputVoltage.EnableWindow(FALSE);
		m_CButton_InputVoltage.EnableWindow(FALSE);
		break;
	case 1:
		m_CEdit_InputVoltage.SetWindowText("9V~36V");
		m_CComboBox_InputVoltage.EnableWindow(FALSE);
		m_CButton_InputVoltage.EnableWindow(FALSE);
		break;
	case 2:
		m_CEdit_InputVoltage.SetWindowText("24V");
		m_CComboBox_InputVoltage.ResetContent();
		m_CComboBox_InputVoltage.InsertString(0, "23V 21V");
		m_CComboBox_InputVoltage.InsertString(1, "24V 22V");
		m_CComboBox_InputVoltage.InsertString(2, "25V 22V");
		m_CComboBox_InputVoltage.InsertString(3, "25V 23V");
		m_CComboBox_InputVoltage.SetCurSel(0);
		break;
	case 3:
		m_CEdit_InputVoltage.SetWindowText("12V");
		m_CComboBox_InputVoltage.ResetContent();
		m_CComboBox_InputVoltage.InsertString(0, "11.5V 10.5V");
		m_CComboBox_InputVoltage.InsertString(1, "12.0V 11.0V");
		m_CComboBox_InputVoltage.InsertString(2, "12.5V 11.0V");
		m_CComboBox_InputVoltage.InsertString(3, "12.5V 11.5V");
		m_CComboBox_InputVoltage.SetCurSel(0);
		break;
	default:
		m_CEdit_InputVoltage.SetWindowText("Unknown");
		m_CComboBox_InputVoltage.EnableWindow(FALSE);
		m_CButton_InputVoltage.EnableWindow(FALSE);
		break;
	}

	m_CComboBox_GPO_1.ResetContent();
	m_CComboBox_GPO_1.InsertString(0, "GPO 1 Low");
	m_CComboBox_GPO_1.InsertString(1, "GPO 1 High");
	m_CComboBox_GPO_1.SetCurSel(0);

	m_CComboBox_GPO_2.ResetContent();
	m_CComboBox_GPO_2.InsertString(0, "GPO 2 Low");
	m_CComboBox_GPO_2.InsertString(1, "GPO 2 High");
	m_CComboBox_GPO_2.SetCurSel(0);

	m_CComboBox_GPO_3.ResetContent();
	m_CComboBox_GPO_3.InsertString(0, "GPO 3 Low");
	m_CComboBox_GPO_3.InsertString(1, "GPO 3 High");
	m_CComboBox_GPO_3.SetCurSel(0);

	m_CComboBox_GPO_4.ResetContent();
	m_CComboBox_GPO_4.InsertString(0, "GPO 4 Low");
	m_CComboBox_GPO_4.InsertString(1, "GPO 4 High");
	m_CComboBox_GPO_4.SetCurSel(0);

	m_CComboBox_GPO_5.ResetContent();
	m_CComboBox_GPO_5.InsertString(0, "GPO 5 Low");
	m_CComboBox_GPO_5.InsertString(1, "GPO 5 High");
	m_CComboBox_GPO_5.SetCurSel(0);

	m_CComboBox_GPO_6.ResetContent();
	m_CComboBox_GPO_6.InsertString(0, "GPO 6 Low");
	m_CComboBox_GPO_6.InsertString(1, "GPO 6 High");
	m_CComboBox_GPO_6.SetCurSel(0);

	m_CComboBox_GPIO_Select_1.ResetContent();
	m_CComboBox_GPIO_Select_1.InsertString(0, "GPI");
	m_CComboBox_GPIO_Select_1.InsertString(1, "GPO");
	m_CComboBox_GPIO_Select_1.SetCurSel(1);

	m_CComboBox_GPIO_Select_2.ResetContent();
	m_CComboBox_GPIO_Select_2.InsertString(0, "GPI");
	m_CComboBox_GPIO_Select_2.InsertString(1, "GPO");
	m_CComboBox_GPIO_Select_2.SetCurSel(1);

	m_CComboBox_GPIO_Select_3.ResetContent();
	m_CComboBox_GPIO_Select_3.InsertString(0, "GPI");
	m_CComboBox_GPIO_Select_3.InsertString(1, "GPO");
	m_CComboBox_GPIO_Select_3.SetCurSel(1);

	m_CComboBox_GPIO_Select_4.ResetContent();
	m_CComboBox_GPIO_Select_4.InsertString(0, "GPI");
	m_CComboBox_GPIO_Select_4.InsertString(1, "GPO");
	m_CComboBox_GPIO_Select_4.SetCurSel(0);

	m_CComboBox_GPIO_Select_5.ResetContent();
	m_CComboBox_GPIO_Select_5.InsertString(0, "GPI");
	m_CComboBox_GPIO_Select_5.InsertString(1, "GPO");
	m_CComboBox_GPIO_Select_5.SetCurSel(0);

	m_CComboBox_GPIO_Select_6.ResetContent();
	m_CComboBox_GPIO_Select_6.InsertString(0, "GPI");
	m_CComboBox_GPIO_Select_6.InsertString(1, "GPO");
	m_CComboBox_GPIO_Select_6.SetCurSel(0);

	m_CComboBox_MCU_GPO_Status_1.ResetContent();
	m_CComboBox_MCU_GPO_Status_1.InsertString(0, "MCU GPO 1 Low");
	m_CComboBox_MCU_GPO_Status_1.InsertString(1, "MCU GPO 1 High");
	m_CComboBox_MCU_GPO_Status_1.SetCurSel(0);

	m_CComboBox_MCU_GPO_Status_2.ResetContent();
	m_CComboBox_MCU_GPO_Status_2.InsertString(0, "MCU GPO 2 Low");
	m_CComboBox_MCU_GPO_Status_2.InsertString(1, "MCU GPO 2 High");
	m_CComboBox_MCU_GPO_Status_2.SetCurSel(0);
	
	m_CComboBox_GPIO_LED.ResetContent();
	m_CComboBox_GPIO_LED.InsertString(0, "LED OFF");
	m_CComboBox_GPIO_LED.InsertString(1, "LED ON");
	m_CComboBox_GPIO_LED.SetCurSel(0);

	m_CComboBox_WDT.ResetContent();
	m_CComboBox_WDT.InsertString(0, "Disable");
	m_CComboBox_WDT.InsertString(1, "Enable");
	m_CComboBox_WDT.SetCurSel(0);

	m_CComboBox_WDT_Time.ResetContent();
	m_CComboBox_WDT_Time.InsertString(0, "1 sec");
	m_CComboBox_WDT_Time.InsertString(1, "2 sec");
	m_CComboBox_WDT_Time.InsertString(2, "4 sec");
	m_CComboBox_WDT_Time.InsertString(3, "8 sec");
	m_CComboBox_WDT_Time.InsertString(4, "16 sec");
	m_CComboBox_WDT_Time.InsertString(5, "32 sec");
	m_CComboBox_WDT_Time.InsertString(6, "64 sec");
	m_CComboBox_WDT_Time.InsertString(7, "128 sec");
	m_CComboBox_WDT_Time.InsertString(8, "256 sec");
	m_CComboBox_WDT_Time.SetCurSel(0);

	m_CComboBox_EXTERNAL_12V.ResetContent();
	m_CComboBox_EXTERNAL_12V.InsertString(0, "Disable");
	m_CComboBox_EXTERNAL_12V.InsertString(1, "Enable");
	m_CComboBox_EXTERNAL_12V.SetCurSel(1);
/*
	m_CComboBox_Bypass_Car_Battery.ResetContent();
	m_CComboBox_Bypass_Car_Battery.InsertString(0, "Disable");
	m_CComboBox_Bypass_Car_Battery.InsertString(1, "Enable");
	m_CComboBox_Bypass_Car_Battery.SetCurSel(0);
*/
	m_CComboBox_Power_On_Delay.ResetContent();
	m_CComboBox_Power_On_Delay.InsertString(0, "Disable");
	m_CComboBox_Power_On_Delay.InsertString(1, "Enable");
	m_CComboBox_Power_On_Delay.SetCurSel(0);

	m_CComboBox_Power_On_Delay_Time.ResetContent();
	m_CComboBox_Power_On_Delay_Time.InsertString(0, "10 sec");
	m_CComboBox_Power_On_Delay_Time.InsertString(1, "30 sec");
	m_CComboBox_Power_On_Delay_Time.InsertString(2, "1 min");
	m_CComboBox_Power_On_Delay_Time.InsertString(3, "5 min");
	m_CComboBox_Power_On_Delay_Time.InsertString(4, "10 min");
	m_CComboBox_Power_On_Delay_Time.InsertString(5, "15 min");
	m_CComboBox_Power_On_Delay_Time.InsertString(6, "30 min");
	m_CComboBox_Power_On_Delay_Time.InsertString(7, "1 hour");
	m_CComboBox_Power_On_Delay_Time.SetCurSel(0);

	m_CComboBox_Power_Off_Delay.ResetContent();
	m_CComboBox_Power_Off_Delay.InsertString(0, "Disable");
	m_CComboBox_Power_Off_Delay.InsertString(1, "Enable");
	m_CComboBox_Power_Off_Delay.SetCurSel(0);

	m_CComboBox_Power_Off_Delay_Time.ResetContent();
	m_CComboBox_Power_Off_Delay_Time.InsertString(0, "20 sec");
	m_CComboBox_Power_Off_Delay_Time.InsertString(1, "1 min");
	m_CComboBox_Power_Off_Delay_Time.InsertString(2, "5 min");
	m_CComboBox_Power_Off_Delay_Time.InsertString(3, "10 min");
	m_CComboBox_Power_Off_Delay_Time.InsertString(4, "30 min");
	m_CComboBox_Power_Off_Delay_Time.InsertString(5, "1 hour");
	m_CComboBox_Power_Off_Delay_Time.InsertString(6, "6 hour");
	m_CComboBox_Power_Off_Delay_Time.InsertString(7, "18 hour");
	m_CComboBox_Power_Off_Delay_Time.SetCurSel(0);

	m_CComboBox_Wireless_WAN.ResetContent();
	m_CComboBox_Wireless_WAN.InsertString(0, "Disable");
	m_CComboBox_Wireless_WAN.InsertString(1, "Enable");
	m_CComboBox_Wireless_WAN.SetCurSel(1);

	m_CComboBox_SIM_CARD.ResetContent();
	m_CComboBox_SIM_CARD.InsertString(0, "SIM Card 1");
	m_CComboBox_SIM_CARD.InsertString(1, "SIM Card 2");
	m_CComboBox_SIM_CARD.SetCurSel(0);

	m_CComboBox_WLAN.ResetContent();
	m_CComboBox_WLAN.InsertString(0, "OFF");
	m_CComboBox_WLAN.InsertString(1, "ON");
	m_CComboBox_WLAN.SetCurSel(1);

	m_CComboBox_WLAN_DIS2_L.ResetContent();
	m_CComboBox_WLAN_DIS2_L.InsertString(0, "OFF");
	m_CComboBox_WLAN_DIS2_L.InsertString(1, "ON");
	m_CComboBox_WLAN_DIS2_L.SetCurSel(1);

	m_CComboBox_WLAN_DIS3_L.ResetContent();
	m_CComboBox_WLAN_DIS3_L.InsertString(0, "OFF");
	m_CComboBox_WLAN_DIS3_L.InsertString(1, "ON");
	m_CComboBox_WLAN_DIS3_L.SetCurSel(1);

	m_CComboBox_USB2_Con.ResetContent();
	m_CComboBox_USB2_Con.InsertString(0, "Disable");
	m_CComboBox_USB2_Con.InsertString(1, "Enable");
	m_CComboBox_USB2_Con.SetCurSel(1);

	m_CComboBox_USB3_Con.ResetContent();
	m_CComboBox_USB3_Con.InsertString(0, "Disable");
	m_CComboBox_USB3_Con.InsertString(1, "Enable");
	m_CComboBox_USB3_Con.SetCurSel(1);

	m_CComboBox_GPS_POWER.ResetContent();
	m_CComboBox_GPS_POWER.InsertString(0, "OFF");
	m_CComboBox_GPS_POWER.InsertString(1, "ON");
	m_CComboBox_GPS_POWER.SetCurSel(1);

	m_CComboBox_Wireless_WAN_Wake_up.ResetContent();
	m_CComboBox_Wireless_WAN_Wake_up.InsertString(0, "Disable");
	m_CComboBox_Wireless_WAN_Wake_up.InsertString(1, "Enable");
	m_CComboBox_Wireless_WAN_Wake_up.SetCurSel(0);

	m_CComboBox_RTC_Wake_up.ResetContent();
	m_CComboBox_RTC_Wake_up.InsertString(0, "Disable");
	m_CComboBox_RTC_Wake_up.InsertString(1, "Enable");
	m_CComboBox_RTC_Wake_up.SetCurSel(0);
	
	m_CComboBox_SerialPort_Select.ResetContent();
	m_CComboBox_SerialPort_Select.InsertString(0, "RS-422");
	m_CComboBox_SerialPort_Select.InsertString(1, "RS-485");
	m_CComboBox_SerialPort_Select.SetCurSel(1);

	m_CComboBox_Reset_CAN_Module.ResetContent();
	m_CComboBox_Reset_CAN_Module.InsertString(0, "Don't care");
	m_CComboBox_Reset_CAN_Module.InsertString(1, "Reset");
	m_CComboBox_Reset_CAN_Module.SetCurSel(0);

	m_CComboBox_CAN_Module_Power_Reset.ResetContent();
	m_CComboBox_CAN_Module_Power_Reset.InsertString(0, "Don't care");
	m_CComboBox_CAN_Module_Power_Reset.InsertString(1, "Reset");
	m_CComboBox_CAN_Module_Power_Reset.SetCurSel(0);

	m_CComboBox_Minicard_CAN_Module_PWR_EN.ResetContent();
	m_CComboBox_Minicard_CAN_Module_PWR_EN.InsertString(0, "CAN VCC5 Disable");
	m_CComboBox_Minicard_CAN_Module_PWR_EN.InsertString(1, "CAN VCC5 Enable");
	m_CComboBox_Minicard_CAN_Module_PWR_EN.SetCurSel(0);


	int nStatus = CANbus_Read_Data_link_detect();
	if( nStatus == 1 )
		m_CEdit_CAN_Data_link_detect.SetWindowText("Data link");
	else if( nStatus == 0 )
		m_CEdit_CAN_Data_link_detect.SetWindowText("No data transfer");
	else
		m_CEdit_CAN_Data_link_detect.SetWindowText("No data transfer");

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CVTC1010_IO_UtilityDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CVTC1010_IO_UtilityDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CVTC1010_IO_UtilityDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

void CVTC1010_IO_UtilityDlg::OnDestroy()
{
	CDialog::OnDestroy();

	Library_Release(); // Release Library
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton1()
{
	int nStatus = LED_Control_GetIgnition(); // return = 0 => OFF, return = 1 => ON
	if( nStatus == 1 )
		m_CEdit_Ignition.SetWindowText("ON");
	else if( nStatus == 0 )
		m_CEdit_Ignition.SetWindowText("OFF");
	else
		m_CEdit_Ignition.SetWindowText("Function Error");
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton2()
{
	int nStatus = Car_Battery_GetStatus();           // return = 0 => OK, return = 1 => Low voltage
	if( nStatus == 1 )
		m_CEdit_Battery.SetWindowText("Low voltage");
	else if ( nStatus == 0 )
		m_CEdit_Battery.SetWindowText("OK");
	else
		m_CEdit_Battery.SetWindowText("Function Error");
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton3()
{
	int nCurSel = m_CComboBox_InputVoltage.GetCurSel();
	Voltage_Select_Setting(nCurSel);
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton4()
{
	int nCurSel = m_CComboBox_GPO_1.GetCurSel();
	GPIO_SetGPO_1(nCurSel); // nData = 0 => Low, nData = 1 => High
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton5()
{
	int nCurSel = m_CComboBox_GPO_2.GetCurSel();
	GPIO_SetGPO_2(nCurSel); // nData = 0 => Low, nData = 1 => High
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton6()
{
	int nCurSel = m_CComboBox_GPO_3.GetCurSel();
	GPIO_SetGPO_3(nCurSel); // nData = 0 => Low, nData = 1 => High
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton7()
{
	int nCurSel = m_CComboBox_GPO_4.GetCurSel();
	GPIO_SetGPO_4(nCurSel); // nData = 0 => Low, nData = 1 => High
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton8()
{
	int nCurSel = m_CComboBox_GPO_5.GetCurSel();
	GPIO_SetGPO_5(nCurSel); // nData = 0 => Low, nData = 1 => High
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton9()
{
	int nCurSel = m_CComboBox_GPO_6.GetCurSel();
	GPIO_SetGPO_6(nCurSel); // nData = 0 => Low, nData = 1 => High
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton10()
{
	int nStatus = GPIO_ReadGPI_1(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPO_1.SetWindowText("GPI-1 : High");
	else if( nStatus == 0 )
		m_CEdit_GPO_1.SetWindowText("GPI-1 : Low");
	else
		m_CEdit_GPO_1.SetWindowText("Function Error");
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton11()
{
	int nStatus = GPIO_ReadGPI_2(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPO_2.SetWindowText("GPI-2 : High");
	else if( nStatus == 0 )
		m_CEdit_GPO_2.SetWindowText("GPI-2 : Low");
	else
		m_CEdit_GPO_2.SetWindowText("Function Error");
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton12()
{
	int nStatus = GPIO_ReadGPI_3(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPO_3.SetWindowText("GPI-3 : High");
	else if( nStatus == 0 )
		m_CEdit_GPO_3.SetWindowText("GPI-3 : Low");
	else
		m_CEdit_GPO_3.SetWindowText("Function Error");
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton13()
{
	int nStatus = GPIO_ReadGPI_4(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPO_4.SetWindowText("GPI-4 : High");
	else if( nStatus == 0 )
		m_CEdit_GPO_4.SetWindowText("GPI-4 : Low");
	else
		m_CEdit_GPO_4.SetWindowText("Function Error");
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton14()
{
	int nStatus = GPIO_ReadGPI_5(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPO_5.SetWindowText("GPI-5 : High");
	else if( nStatus == 0 )
		m_CEdit_GPO_5.SetWindowText("GPI-5 : Low");
	else
		m_CEdit_GPO_5.SetWindowText("Function Error");
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton15()
{
	int nStatus = GPIO_ReadGPI_6(); // return = 0 => Low, return = 1 => High
	if( nStatus == 1 )
		m_CEdit_GPO_6.SetWindowText("GPI-6 : High");
	else if( nStatus == 0 )
		m_CEdit_GPO_6.SetWindowText("GPI-6 : Low");
	else
		m_CEdit_GPO_6.SetWindowText("Function Error");
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton16()
{
	int nCurSel = m_CComboBox_GPIO_Select_1.GetCurSel();
	GPIO_SetGPIO_Status_1(nCurSel); // nData = 0 => Low, nData = 1 => High
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton17()
{
	int nCurSel = m_CComboBox_GPIO_Select_2.GetCurSel();
	GPIO_SetGPIO_Status_2(nCurSel); // nData = 0 => Low, nData = 1 => High
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton18()
{
	int nCurSel = m_CComboBox_GPIO_Select_3.GetCurSel();
	GPIO_SetGPIO_Status_3(nCurSel); // nData = 0 => Low, nData = 1 => High
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton19()
{
	int nCurSel = m_CComboBox_GPIO_Select_4.GetCurSel();
	GPIO_SetGPIO_Status_4(nCurSel); // nData = 0 => Low, nData = 1 => High
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton20()
{
	int nCurSel = m_CComboBox_GPIO_Select_5.GetCurSel();
	GPIO_SetGPIO_Status_5(nCurSel); // nData = 0 => Low, nData = 1 => High
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton21()
{
	int nCurSel = m_CComboBox_GPIO_Select_6.GetCurSel();
	GPIO_SetGPIO_Status_6(nCurSel); // nData = 0 => Low, nData = 1 => High
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton22()
{
	int nStatus = MCU_GPIO_ReadGPO_Status_1();            // return = 0 or 1
	if( nStatus == 1 )
		m_CEdit_MCU_GPO_Status_1.SetWindowText("MCU GPO-1 : High");
	else if( nStatus == 0 )
		m_CEdit_MCU_GPO_Status_1.SetWindowText("MCU GPO-1 : Low");
	else
		m_CEdit_MCU_GPO_Status_1.SetWindowText("Function Error");
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton23()
{
	int nStatus = MCU_GPIO_ReadGPO_Status_2();            // return = 0 or 1
	if( nStatus == 1 )
		m_CEdit_MCU_GPO_Status_2.SetWindowText("MCU GPO-2 : High");
	else if( nStatus == 0 )
		m_CEdit_MCU_GPO_Status_2.SetWindowText("MCU GPO-2 : Low");
	else
		m_CEdit_MCU_GPO_Status_2.SetWindowText("Function Error");
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton24()
{
	int nStatus = MCU_GPIO_ReadGPI_Status_1();            // return = 0 or 1
	if( nStatus == 1 )
		m_CEdit_MCU_GPI_Status_1.SetWindowText("MCU GPI-1 : High");
	else if( nStatus == 0 )
		m_CEdit_MCU_GPI_Status_1.SetWindowText("MCU GPI-1 : Low");
	else
		m_CEdit_MCU_GPI_Status_1.SetWindowText("Function Error");
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton25()
{
	int nStatus = MCU_GPIO_ReadGPI_Status_2();            // return = 0 or 1
	if( nStatus == 1 )
		m_CEdit_MCU_GPI_Status_2.SetWindowText("MCU GPI-2 : High");
	else if( nStatus == 0 )
		m_CEdit_MCU_GPI_Status_2.SetWindowText("MCU GPI-2 : Low");
	else
		m_CEdit_MCU_GPI_Status_2.SetWindowText("Function Error");
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton26()
{
	int nStatus = MCU_GPIO_ReadPANIC_Status();            // return = 0 or 1
	if( nStatus == 1 )
		m_CEdit_MCU_PANIC_Status.SetWindowText("MCU PANIC : High");
	else if( nStatus == 0 )
		m_CEdit_MCU_PANIC_Status.SetWindowText("MCU PANIC : Low");
	else
		m_CEdit_MCU_PANIC_Status.SetWindowText("Function Error");
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton28()
{
	int nCurSel = m_CComboBox_WDT_Time.GetCurSel();
	WDT_Time_Setting(nCurSel);

	nCurSel = m_CComboBox_WDT.GetCurSel();
	WDT_Switch(nCurSel); // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton29()
{
	WDT_Clear_Timer(); // clear WDT timer
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton30()
{
	int nCurSel = m_CComboBox_EXTERNAL_12V.GetCurSel();
	EXTERNAL_12V_Power(nCurSel); // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton31()
{
	int nCurSel = m_CComboBox_Power_On_Delay.GetCurSel();
	Power_On_Delay(nCurSel); // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE

	nCurSel = m_CComboBox_Power_On_Delay_Time.GetCurSel();
	Power_On_Delay_Time(nCurSel);
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton32()
{
	int nCurSel = m_CComboBox_Power_Off_Delay.GetCurSel();
	Power_Off_Delay(nCurSel); // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE

	nCurSel = m_CComboBox_Power_Off_Delay_Time.GetCurSel();
	Power_Off_Delay_Time(nCurSel);
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton33()
{
	int nCurSel = m_CComboBox_Wireless_WAN.GetCurSel();
	Module_Wireless_WAN_Switch(nCurSel);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE

	nCurSel = m_CComboBox_SIM_CARD.GetCurSel();
	SIM_CARD_Switch(nCurSel);  // nStatus = 0 => SIM CARD 1, nStatus = 1 => SIM CARD 2
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton34()
{
	int nCurSel = m_CComboBox_WLAN.GetCurSel();
	Module_Wireless_LAN_Switch(nCurSel);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton35()
{
	int nCurSel = m_CComboBox_WLAN_DIS2_L.GetCurSel();
	Module_Wireless_LAN_DIS2_L_Switch(nCurSel);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton36()
{
	int nCurSel = m_CComboBox_WLAN_DIS3_L.GetCurSel();
	Module_Wireless_LAN_DIS3_L_Switch(nCurSel);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton37()
{
	int nCurSel = m_CComboBox_USB2_Con.GetCurSel();
	Module_USB2Con_Power_Switch(nCurSel);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton38()
{
	int nCurSel = m_CComboBox_USB3_Con.GetCurSel();
	Module_USB3Con_Power_Switch(nCurSel);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton39()
{
	int nCurSel = m_CComboBox_GPS_POWER.GetCurSel();
	Module_GPS_Power_Switch(nCurSel);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton40()
{
	int nCurSel = m_CComboBox_Wireless_WAN_Wake_up.GetCurSel();
	Wake_On_Wireless_WAN_Switch(nCurSel);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton41()
{
	int nCurSel = m_CComboBox_RTC_Wake_up.GetCurSel();
	Wake_On_RTC_Switch(nCurSel);          // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton42()
{
	int nCurSel = m_CComboBox_SerialPort_Select.GetCurSel();
	SerialPort_Select(nCurSel);          // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton43()
{
	int nCurSel = m_CComboBox_Reset_CAN_Module.GetCurSel();
	CANbus_Reset(nCurSel);          // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton44()
{
	int nCurSel = m_CComboBox_CAN_Module_Power_Reset.GetCurSel();
	CANbus_Power_Reset(nCurSel);          // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton45()
{
	int nStatus = CANbus_Read_Data_link_detect();
	if( nStatus == 1 )
		m_CEdit_CAN_Data_link_detect.SetWindowText("Data link");
	else if( nStatus == 0 )
		m_CEdit_CAN_Data_link_detect.SetWindowText("No data transfer");
	else
		m_CEdit_CAN_Data_link_detect.SetWindowText("Function Error");
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton27()
{
	int nCurSel = m_CComboBox_GPIO_LED.GetCurSel();
	MCU_GPIO_SetLED_Status(nCurSel);          // nStatus = 0 => OFF, nStatus = 1 => ON
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton47()
{
	int nCurSel = m_CComboBox_MCU_GPO_Status_1.GetCurSel();
	MCU_GPIO_SetGPO_Status_1(nCurSel);   // nData = 0 => Low, nData = 1 => High
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton48()
{
	int nCurSel = m_CComboBox_MCU_GPO_Status_2.GetCurSel();
	MCU_GPIO_SetGPO_Status_2(nCurSel);   // nData = 0 => Low, nData = 1 => High
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton46()
{
	int nCurSel = m_CComboBox_Minicard_CAN_Module_PWR_EN.GetCurSel();
	CANbus_Minicard_Switch(nCurSel);   // nData = 0 => Low, nData = 1 => High
}

void CVTC1010_IO_UtilityDlg::OnBnClickedButton49()
{
	MCU_GPIO_PANIC_Status_Clear();	// Clear PANIC Status
}
